import {
  PictureTypeEnum,
  TrackColorTypeEnum,
  StudentFileRuleEnum,
} from '@/constants/enumerate';

export interface TrackConfigType {
  pictureType: PictureTypeEnum[];
  outputDir: string;
  curOutputDir: string;
  outputDirIsDefault: boolean;
  trackColorType: TrackColorTypeEnum;
  studentFileRule: StudentFileRuleEnum;
}

export interface AppState {
  version: string;
  domain: string;
  device: string;
  trackConfig: TrackConfigType;
}
